% Power Supply Calibration

% Current 

I = [3.6 7.6 14.6 24.0 24.5 33.1 34.6 39.9 49.1 62 83.7];
I_angilent = [3 7 14 23 24 32 34 39 48 61 83];

I_relative = (I_angilent - I)./I;



plot(I,I,I,I_angilent)
xlabel('Current [mA]','fontsize',20)
ylabel('Current [mA]','fontsize',20)
legend('Multimeter','Power Supply','Location','NorthWest')
grid on

% Voltage

U = [1.17 3.244 5.06 6.61 9.21 11.8 15.94 19.2 22.09 24.33 29.09 32.91];
U_angilent = [1.1 3.2 5.0 6.5 9.1 11.7 15.8 19.1 22.0 24.2 29.0 32.8];

figure(2)
plot(U,U,U,U_angilent)
xlabel('Voltage [ V ]','fontsize',20)
ylabel('Voltage [ V ]','fontsize',20)
legend('Multimeter','Power Supply','Location','NorthWest')
grid on