% t-Distribution

x = [0.305 .302 .304]; %Samples

n = length(x); % number of samples
v = n-1; % degrees of freedom
t_alpha = 4.303; %from table A4


x_ = mean(x);

s_ = 0;

for i = 1:n
    s_ = s_ + (x(i)-x_)^2;
end

S = sqrt(s_/(n-1)); % standard deviation

min = x_-t_alpha*S/sqrt(n);
max = x_+t_alpha*S/sqrt(n);

disp([num2str(min),' < ',num2str(x_) ' < ', num2str(max)]);

