function dQ=uncertaintyQ(P4,dP,Pgauge,R,T,X,dP4,ddP,dPgauge,dR,dT,dX,Cmin,Cmax)

Pgauge = Pgauge*1e5; %[bar]

Q = sqrt(R*T*(P4+dP+Pgauge))*(Cmin+(1/100*(Cmax-Cmin))*X)/(P4+(1/2)*dP);

dQ = (1/2)*sqrt(4*((1/2)*(Cmin+(1/100*(Cmax-Cmin))*X)*R*T/(sqrt(R*T*(P4+dP+Pgauge))*(P4+(1/2)*dP))-sqrt(R*T*(P4+dP+Pgauge))*(Cmin+(1/100*(Cmax-Cmin))*X)/(P4+(1/2)*dP)^2)^2*dP4^2+4*((1/2)*(Cmin+(1/100*(Cmax-Cmin))*X)*R*T/(sqrt(R*T*(P4+dP+Pgauge))*(P4+(1/2)*dP))-(1/2)*sqrt(R*T*(P4+dP+Pgauge))*(Cmin+(1/100*(Cmax-Cmin))*X)/(P4+(1/2)*dP)^2)^2*ddP^2+R*T*(Cmin+(1/100*(Cmax-Cmin))*X)^2*dPgauge^2/((P4+dP+Pgauge)*(P4+(1/2)*dP)^2)+T*(P4+dP+Pgauge)*(Cmin+(1/100*(Cmax-Cmin))*X)^2*dR^2/(R*(P4+(1/2)*dP)^2)+R*(P4+dP+Pgauge)*(Cmin+(1/100*(Cmax-Cmin))*X)^2*dT^2/(T*(P4+(1/2)*dP)^2)+4*R*T*(P4+dP+Pgauge)*((1/100)*Cmax-(1/100)*Cmin)^2*dX^2/(P4+(1/2)*dP)^2);


% disp([num2str(Q),' +- ',num2str(dQ),' [l/min]'])
% 
% disp([num2str(Q*1e-3/60),' +- ',num2str(dQ*1e-3/60),' [m^3/s]'])
% 

dQ = dQ*1e-3/60;

return