function E_st = uncertainty_perm(D,Q,dP,visc,L,dQ,ddP,dvisc,dL)


dkdQ = 4*visc*L/(pi*D^2*dP);
dkddP = -4*Q*visc*L/(pi*D^2*dP^2);
dkdvisc = 4*Q*L/(pi*D^2*dP);
dkdL = 4*Q*visc/(pi*D^2*dP);


E_st = sqrt((dkdQ*dQ)^2+(dkddP*ddP)^2+(dkdvisc*dvisc)^2+(dkdL*dL)^2);

return