% conductivity interpolated
close all
% 95% confidence interval
% k_min < k_mean < k_max 
% k = [k_min_1 k_mean_1 k_max_1 T_avg1 averageindividualerror1;
%      k_min_2 k_mean_2 k_max_2 T_avg2 averageindividualerror2 etc..]


% sugar measurements:
k = [0.19355 0.201 0.20845 -60.9 0.017;
    0.2629 0.26433 0.26577 12.3 0.022; 
    0.29987 0.30367 0.30746 67.3 0.026
     ];
 
plot(k(:,4),k(:,1),'--r.',k(:,4),k(:,2),'-b.',k(:,4),k(:,2)+k(:,5),'--g.',k(:,4),k(:,3),'--r.',k(:,4),k(:,2)-k(:,5),'--g.','LineWidth',1) 
grid on
ylabel('Thermal Conductivity [W/mK]','fontsize',20)
xlabel('Temperature [\circC]','fontsize',20)
legend('95% Confidence Interval','Mean Thermal Conductivity','Average of Individual Uncertainties','Location','NorthWest') 

% Polynomial Curvefit
% P = polyfit(k(:,4),k(:,2),2);
% 
% x = ceil(k(1,4)):3:floor((k(size(k,1),4)));
% y = P(1).*x.*x+P(2).*x;
% y = y + P(3);
% 
% hold on
% plot(x,y,'--b')
