% uncertainty radial position
clc
clear all
close all
r = [7.35 14.35;
     7.21 14.25;
     7.25 14.15;
     7.73 13.91;
     7.61 13.81;
     7.63 13.85;
     7.79 14.03;
     ]; %r2 r3
 
 n = size(r,1);
 v = n-1;
 t = 2.447;
 bias = 0.2;
 
 s_square = [0 0];
 r_avg = mean(r);
 
 for i = 1:n
     s_square(1) = s_square(1) + (r(i,1)-r_avg(1))^2;
     s_square(2) = s_square(2) + (r(i,2)-r_avg(2))^2;
 end
 
 s = s_square/(n-1)
 
 r_avg
 
 disp('Confidence Intervals, Precision Error:')
 disp([num2str(r_avg(1)-t*s(1)/sqrt(n)) ' < r1_avg < ' num2str(r_avg(1)+t*s(1)/sqrt(n)) ])
 disp([num2str(r_avg(2)-t*s(2)/sqrt(n)) ' < r2_avg < ' num2str(r_avg(2)+t*s(2)/sqrt(n)) ])
 
u_95 = [sqrt(bias^2+(t*s(1)/sqrt(n))^2) , sqrt(bias^2+(t*s(2)/sqrt(n))^2)]
     
 