function kappa = idelchikperma(w,L,D,d_gr,phi,eps,B,T_in,T_ex,mu,rho)


d_el = phi*d_gr;
Re = w*d_el*rho/mu;
A1 = 360*(1-eps)^2/(eps^3*Re);
B1 = B*(1-eps)/eps^3;
lambda = A1+B1;
T_m = (T_in+T_ex)/2;
delta_psi_t = 2*(T_ex-T_in)/T_m;

kappa = 2*d_el*mu/(lambda*rho*w);

