%RotameterUncertaintyReadingExpample

% example = [X Q dQ]

example = [12 0.8643 0.1151;
            28 1.4594 0.1194;
            60 2.6493 0.1334;
            90 3.7643 0.1516;
            100 4.1357 .1584];
example2 = [12 1.2182 .1651;
            32 2.2665 .1795;
            59 3.6813 .2088;
            80 4.7808 .2370;
            90 5.4088 .2546];
        
figure(1)       
plot(example(:,1),example(:,2),'b',example(:,1),example(:,2)-example(:,3),'r--',example(:,1),example(:,2)+example(:,3),'r--')
grid on
xlabel('X [%]','fontsize',20)
ylabel('Q [l/min]','fontsize',20)

hold on       
plot(example2(:,1),example2(:,2),'k',example2(:,1),example2(:,2)-example2(:,3),'r--',example2(:,1),example2(:,2)+example2(:,3),'r--')
grid on
xlabel('X [%]','fontsize',20)
ylabel('Q [l/min]','fontsize',20)

figure(2)
plot(example(:,1),example(:,3)./example(:,2),'b',example2(:,1),example2(:,3)./example2(:,2),'k')
grid on
xlabel('X [%]','fontsize',20)
ylabel('\delta Q / Q','fontsize',20)